BASENC(1)

NAVN
basenc - Encode/decode data and print to standard output

OVERSIKT
basenc [VALG]... [FIL]

BESKRIVELSE

basenc kode eller dekode valgt FIL, eller standard inndata, to standardutdata.

Hvis ingen FIL er valgt, eller hvis FIL er «-», leser programmet standard inndata.

Argumenter som er obligatoriske for lange valg, er også obligatoriske for korte valg.

--base64
    Bruk base64(1) (RFC4648 seksjon 4).

--base64url
    Fil- og adresse-sikker base64(1) (RFC4648 seksjon 5).

--base32
    Bruk base32(1) (RFC4648 seksjon 6).

--base32hex
    Utvidet heks-alfabetisk base32(1) (RFC4648 seksjon 7).

--base16
    Heks-koding (RFC4648 seksjon 8).

--base2msbf
    Bit-streng med mest betydelige bit (msb) først.

--base2lsbf
    Bit-streng med minst betydelige bit (lsb) først.

-d, --decode
    Dekode data.

-i, --ignore-garbage
    Ignorer tall og spesialtegn ved dekoding.

-w, --wrap=KOLONNER
    Bryt kodede linjer etter angitt antall KOLONNER (standard: 76). Bruk 0 for å deaktivere linjekutting.

--z85
    Ascii85-liknende koding (ZeroMQ-spes.:32/Z85). ved koding må inndatalengde kunne deles på 4. Ved dekoding må inndatalengde kunne deles på 5.

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

Ved dekoding kan inndata inneholde linjeskift i tillegg til tegnene i det formelle alfabetet. Bruk --ignore-garbage for å forsøke å gjenopprette fra ikke-alfabetiske tegn i den kodede datastrømmen.

ENCODING EXAMPLES

    $ printf '\376\117\202' | basenc --base64
    /k+C

    $ printf '\376\117\202' | basenc --base64url
    _k-C

    $ printf '\376\117\202' | basenc --base32
    7ZHYE===

    $ printf '\376\117\202' | basenc --base32hex
    VP7O4===

    $ printf '\376\117\202' | basenc --base16
    FE4F82

    $ printf '\376\117\202' | basenc --base2lsbf
    011111111111001001000001

    $ printf '\376\117\202' | basenc --base2msbf
    111111100100111110000010

    $ printf '\376\117\202\000' | basenc --z85
    @.FaC

OPPHAVSMANN
Skrevet av Simon Josefsson og Assaf Gordon.

RAPPORTERING AV FEIL
Få hjelp til bruk av GNU coreutils på nett: <https://www.gnu.org/software/coreutils/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

OPPHAVSRETT
Copyright © 2024 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/basenc>
eller lokalt: info '(coreutils) basenc invocation'

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.